APTITUDE-CREATE-ST(1)

NOME
aptitude-create-state-bundle - crea un archivio con lo stato attuale di aptitude

SINOSSI

aptitude-create-state-bundle [<opzioni>...] <file-di-output>

DESCRIZIONE

    Nota

    Questo comando è per lo più ad uso interno e per le segnalazioni di bug in casi eccezionali; non è pensato per gli utenti finali in circostanze normali.

aptitude-create-state-bundle produce un archivio compresso in cui sono contenuti i file necessari per replicare lo stato attuale dell'archivio dei pacchetti. Nell'archivio sono contenuti i seguenti file e directory:

    • $HOME/.aptitude

    • /var/lib/aptitude

    • /var/lib/apt

    • /var/cache/apt/*.bin

    • /etc/apt

    • /var/lib/dpkg/status

L'output di questo programma può essere usato come argomento per aptitude-run-state-bundle(1).

OPZIONI

--force-bzip2
    Ha la precedenza sulla rilevazione automatica di quale algoritmo di compressione utilizzare. In modo predefinito aptitude-create-state-bundle usa bzip2(1), se questo è disponibile, e gzip(1) in caso contrario. Se si specifica questa opzione si forza l'uso di bzip2 anche se questo non sembra essere disponibile.

--force-gzip
    Ha la precedenza sulla rilevazione automatica di quale algoritmo di compressione utilizzare. In modo predefinito aptitude-create-state-bundle usa bzip2(1), se questo è disponibile, e gzip(1) in caso contrario. Se si specifica questa opzione si forza l'uso di gzip anche se è disponibile bzip2.

--help
    Stampa un breve messaggio sull'uso del comando ed esce.

--print-inputs
    Invece di creare un archivio, visualizza un elenco dei file e delle directory che verrebbero incluse se ne venisse generato uno.

FORMATO DEL FILE

Il file archivio è semplicemente un file tar(1) compresso con bzip2(1) o gzip(1), con ciascun albero di directory di input che ha radice in «.».

VEDERE ANCHE

aptitude-run-state-bundle(1), aptitude(8), apt(8)

AUTORI

Daniel Burrows <dburrows@debian.org>
    Autore principale del documento.

Manuel A. Fernandez Montecelo <mafm@debian.org>
    Manutentore principale dopo Daniel Burrows, documentazione sulle nuove funzionalità, correzioni e formattazione.

DIRITTO D'AUTORE

Copyright 2007 Daniel Burrows.

Questa pagina di manuale è software libero; è possibile ridistribuirla e/o modificarla secondo i termini della licenza GNU General Public License, come pubblicata dalla Free Software Foundation nella versione 2 della licenza, o (a scelta) una versione più recente.

Questa pagina di manuale è distribuita nella speranza che sia utile, ma SENZA ALCUNA GARANZIA, nemmeno la garanzia implicita di COMMERCIABILITÀ o APPLICABILITÀ PER UNO SCOPO PARTICOLARE. Per maggiori dettagli vere la GNU General Public License.

Insieme a questo programma dovrebbe essere stata fornita una copia della GNU General Public License; se così non fosse, scrivere alla: Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02111-1301, USA.